---
# dependency:
#   name: galaxy
driver:
  name: ${MOL_DRIVER:-docker}

platforms:
  - name: centos8
    image: quay.io/centos/centos:stream8
    dockerfile: ../common/dockerfiles/rhel.j2
    command: /sbin/init
    privileged: true
  - name: centos9
    image: quay.io/centos/centos:stream9
    dockerfile: ../common/dockerfiles/rhel.j2
    command: /sbin/init
    privileged: true
  - name: rocky8
    image: rockylinux:8
    dockerfile: ../common/dockerfiles/rhel.j2
    command: /sbin/init
    privileged: true
  - name: rocky9
    image: rockylinux:9
    dockerfile: ../common/dockerfiles/rhel.j2
    command: /sbin/init
    privileged: true
  - name: debian11
    image: debian:11
    dockerfile: ../common/dockerfiles/debian.j2
    command: /sbin/init
    privileged: true
  - name: debian12
    image: debian:12
    dockerfile: ../common/dockerfiles/debian.j2
    command: /sbin/init
    privileged: true

provisioner:
  name: ansible
  inventory:
    host_vars:
      centos8:
        ansible_host: centos8
        ansible_user: svc_provision
      centos9:
        ansible_host: centos9
        ansible_user: svc_provision
      rocky8:
        ansible_host: rocky8
        ansible_user: svc_provision
      rocky9:
        ansible_host: rocky9
        ansible_user: svc_provision
      debian11:
        ansible_host: debian11
        ansible_user: svc_provision
      debian12:
        ansible_host: debian12
        ansible_user: svc_provision

verifier:
  name: ansible

scenario:
  name: platforms
  create_sequence:
    - create
  check_sequence:
    - destroy
    - create
    - converge
    - check
    - destroy
  converge_sequence:
    - create
    - converge
  destroy_sequence:
    - destroy
  test_sequence:
    - destroy
    - syntax
    - create
    - converge
    - idempotence
    - verify
    - destroy
